All Classes Namespaces Functions Variables Groups Pages
OracleSqlUtil::OracleSequence Class Reference

represents an Oracle sequence More...

Inheritance diagram for OracleSqlUtil::OracleSequence:
[legend]

## Public Member Functions

| constructor (string n_name, number n_start=1, number n_increment=1, *softnumber n_end)
| creates the object from the arguments
string | getCreateSql (*hash opt)
| returns a string that can be used to create the sequence in the database
softlist | getRenameSql (string new_name, *hash opt)
| returns a string that can be used to rename the sequence in the database More...

## Detailed Description

represents an Oracle sequence

## Member Function Documentation

softlist OracleSqlUtil::OracleSequence::getRenameSql | ( | string | new_name,
|  | *hash | opt
| ) |  |

virtual

returns a string that can be used to rename the sequence in the database

The object is renamed in place with this call

Parameters

  new_name | the new name of the object
  opt | this option is ignored

Implements SqlUtil::AbstractSequence.